<?php

session_start();

// Include the error handling file
require_once 'inc/errorHandling.php';

// set the active page 
$navsection = 'contacts';

// check if user is logged in, otherwise redirect back to home page
if (!isset($_SESSION['databuzzCWPSecurityAuthenticated']) and $_SESSION['databuzzCWPSecurityAuthenticated'] !== TRUE) {
header('Location: index.php');
die;
}


require_once 'connections/contacts.php';

$fm = new FileMaker($database, $hostname, $username, $password); 

$layouts = $fm->listLayouts();
	if(FileMaker::isError($layouts))
	{
	// Login Failed -- Alert User
	$loginError = 'Login Error: '. $layouts->getMessage(). ' (' . $layouts->code . ')';
	
	
	} else {
	// Login Success	
	$loginError = '';
	
	// branch based on action parameter
	
	if (isset($_REQUEST['action']) and $_REQUEST['action'] == "showall") {     
	   
	// Find all Contact records
	$request = $fm->newFindAllCommand('WebContacts');
		
	
	} elseif (isset($_REQUEST['action']) and $_REQUEST['action'] == "search") {    
    
	// Custom User Generated Find
	$request = $fm->newFindCommand('WebContacts');
		
	$request->addFindCriterion('FullName_c', $_REQUEST['searchName']);

	
	}
	
	// sort the results if required
	$request->addSortRule('First', 1, FILEMAKER_SORT_ASCEND);
	
	// set the max values
    $max = 20;

	
	if(isset($_GET['skip'])) {
	$skip = $_GET['skip'];
	} else {
	$skip = 0;
	}
	
	$request->setRange($skip, $max);
	
	// Perform the Find
	$result = $request->execute(); 
	
	
		if (FileMaker::isError($result)) {
			if ($result->code = 401) {
			$findError = '<p class="text-error">There are no Contacts that match that request: '. ' (' . $result->code . ')</p>';
			} else {
			$findError = '<p class="text-error">Contacts Find Error: '. $result->getMessage(). ' (' . $result->code . ')</p>';
			}	
		
		} else { 
		
		// Get the found records and setup page navigation links
		$records = $result->getRecords();
		
		// echo '<p><pre>'.print_r($records).'</pre></p>';
		
		
		$found = $result->getFoundSetCount();
		$fetchcount = $result->getFetchCount();
		
		$totalpagesceil = ceil($found / $max);
		$totalpagesfloor = floor($found / $max);
		
		$prev = $skip - $max;
		$next = $skip + $max;
		if(($skip + $max) > $found) {$next = $skip; }
			
		if($totalpagesceil == $totalpagesfloor) {
		$lastskip = ($totalpagesceil - 1) * $max;
		} else { 
		$lastskip = $totalpagesfloor * $max;
		}
		
		$firstrecord = $skip + 1;
		
		if ($fetchcount == $max) {
		$lastrecord = (($firstrecord + $fetchcount) - 1); 
		} else {
		$lastrecord = ($skip + $fetchcount);
		}	
		
		
		// set variable to empty string to prevent PHP Notices
		$findError = '';
		
		
		
		// echo any found records if no errors 
		if ($loginError == '' && $findError == '') {
		
		// generate pagination links
		if ($skip != 0) {
		$firstLink = paginationLinks(0);
		$firstPage = '<li>'.$firstLink.'">First</a></li>';
		} else {
		$firstPage = '<li class="disabled"><a href="#">First</a></li>';
		}
	    
		if ($prev >= 0) {
		$previousLink = paginationLinks($prev);
		$previousPage =  '<li>'.$previousLink.'">Previous</a></li>';
		} else {
		$previousPage = '<li class="disabled"><a href="#">Previous</a></li>';
		}    
	                    
	    if (($skip + $max) < $found) {
	    $nextLink = paginationLinks($next);
		$nextPage = '<li>'.$nextLink.'">Next</a></li>';
		} else {
		$nextPage = '<li class="disabled"><a href="#">Next</a></li>';
		}
	    
	    if (($skip + $fetchcount) < $found) {
	    $lastLink = paginationLinks($lastskip);
		$lastPage = '<li>'.$lastLink.'">Last</a></li>';
		} else {
		$lastPage = '<li class="disabled"><a href="#">Last</a></li>';
		}
	    		  
		$navLinks = '<div class="text-center">';
		$navLinks .= '<ul class="pagination">';
		$navLinks .= $firstPage;
		$navLinks .= $previousPage;
		$navLinks .= $nextPage;
		$navLinks .= $lastPage;
		$navLinks .= '</ul>';
		$navLinks .= '</div>';
		
	
		$table = '<table class="table table-striped table-bordered">';
		
		$table .= '<thead>';
		$table .= '<tr>';
		$table .= '<th scope="col">Name</th>';
		$table .= '<th scope="col">Company</th>';
		$table .= '<th scope="col">Phone (M)</th>';
		$table .= '<th scope="col">Email</th>';
		$table .= '</tr>';
		$table .= '</thead>';

		
		$table .= '<tbody>';
	
		
		
		$recnum = 1;
		foreach($records as $contact){
			$recid = $contact->getRecordId();
			$uuid = $contact->getField('UUID');
			
				
			
			
			$table .= '<tr>';
			$table .= '<td>';
			$table .= '<a href="contactDetails.php?action=viewContact&uuid='.$uuid.'">'.$contact->getField('FullName_c').'</a>';		
			$table .= '</td>';
			$table .= '<td>';
			$table .= nl2br( $contact->getField('Company'));
			$table .= '</td>';
			$table .= '<td>';
			$table .= nl2br( $contact->getField('Office Phone'));
			$table .= '</td>';
			$table .= '<td>';
			$table .= nl2br( $contact->getField('Email'));
			$table .= '</td>';
			$table .= '</tr>';
		
		$recnum++; } /* foreach record */
		
		$table .= '</tbody>';
		$table .= '</table>';
		}

		
		
		
		}
	
	
}


	


?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="ico/favicon.ico">

    <title>CWP DevCon 2014 Security Demo</title>

    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="jumbotron.css" rel="stylesheet">

    <!-- Just for debugging purposes. Don't actually copy this line! -->
    <!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
	
      <?php include_once 'inc/nav.php' ?>
	
        
    <?php
    // echo any login errors 
	if (isset($loginError) && $loginError !== '') {
	$loginAlert = '<div class="alert alert-danger"><p class="text-center">'.$loginError.'</p></div>';
	echo $loginAlert;
	}
	
    // echo any find errors 
	if (isset($findError) && $findError !== '') {
	$findAlert = '<div class="alert alert-danger"><p class="text-center">'.$findError.'</p></div>';
	echo $findAlert;
	}
	
	?>


    <div class="container">
      <!-- Example row of columns -->
    
    <?php
    // echo pagination links 
	if (isset($navLinks) && $navLinks !== '') {
	echo $navLinks;
	}
    ?>
    
    <div>
    <?php
    // echo table 
	if (isset($table) && $table !== '') {
	echo $table;
	}
    ?>
    </div>

      <hr>

      <footer>
        <p>&copy; Databuzz <?php echo date('Y');?></p>
      </footer>
    </div> <!-- /container -->
    
    <?php 
	if (isset($_SESSION['DebugMode']) && $_SESSION['DebugMode'] == 'TRUE') {
	include "debugging/request.php" ; 
	}
	?>

	<?php 
	if (isset($_SESSION['DebugMode']) && $_SESSION['DebugMode'] == 'TRUE') {
	include "debugging/session.php" ; 
	}
	?>   


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-1.10.2.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
  </body>
</html>