<?php

session_start();

// Include the error handling file
require_once 'inc/errorHandling.php';

// set the active page 
$navsection = 'home';

require_once 'connections/contacts.php';


// check connection to FileMaker Server
$fm = new FileMaker($database, $hostname, $username, $password);
	
	$layouts = $fm->listLayouts();
	    
	    if(FileMaker::isError($layouts)) {
	    // FileMaker PHP API Error -- Alert User.
		$connectionError = '<p class="text-error">FileMaker Server Error: '. $layouts->getMessage(). ' (' . $layouts->code . ')</p>';
		} else {
		// Server Connection Successful
		$connectionError = '';
		
			if(isset($_POST['username']) && isset($_POST['password'])) {
			// User is trying to login, Verify credentials
			
			
			// Search for Matching Contact Record
			$request = $fm->newFindCommand('WebContacts');
			
			$request->addFindCriterion('Email', '=="'.$_POST['username'].'"');
			$request->addFindCriterion('WebPassword', '=='.$_POST['password']);
			
			$result = $request->execute();
			
				if (FileMaker::isError($result)) {
				    // Login Failed -- Alert User.
				    if ($result->code = 401) {
					$loginError = '<p class="text-error">CWP Demo Login Error: Email Address or Password Incorrect (' . $result->code . ')</p>';
					} else {
					$loginError = '<p class="text-error">CWP Demo Login Error: '. $result->getMessage(). ' (' . $result->code . ')</p>';
					}	

					
				} else {
				    // Login Success!
					// Setup the session variables
					
					$_SESSION['databuzzCWPSecurityAuthenticated'] = TRUE;
					
					// Set the default timezone
					date_default_timezone_set('Australia/Sydney');

					$thisURL = $_SERVER['REQUEST_URI'];
					
					$contactRecord = $result->getFirstRecord();
			
					$contactID = $contactRecord->getField('ContactID');
					$contactName = $contactRecord->getField('FullName_c');
					
					$_SESSION['contactName'] = $contactName;
					$_SESSION['contactID'] = $contactID;

				
					$_SESSION['username'] = $_POST['username'];
					$_SESSION['password'] = $_POST['password'];
					$_SESSION['logontime'] = date("F j, Y, g:i:s a");
										
					$loginError = '';
				}

			}


}
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="ico/favicon.ico">

    <title>CWP DevCon 2014 Security Demo</title>

    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="jumbotron.css" rel="stylesheet">

    <!-- Just for debugging purposes. Don't actually copy this line! -->
    <!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
	
      <?php include_once 'inc/nav.php' ?>
	
        
    <?php
    // echo any login errors 
	if (isset($loginError) && $loginError !== '') {
	$loginAlert = '<div class="alert alert-danger"><p class="text-center">'.$loginError.'</p></div>';
	echo $loginAlert;
	}
	?>

    <!-- Main jumbotron for a primary marketing message or call to action -->
    <div class="jumbotron">
      <div class="container">
        <h1>Contacts Demo</h1>
        <p>A simple site using the FileMaker v13 Contacts Starter Solution adapted for CWP Access. </p>
        
      </div>
    </div>


      <hr>

      <footer>
        <p>&copy; Databuzz <?php echo date('Y');?></p>
      </footer>
    </div> <!-- /container -->
    
    <?php 
	if (isset($_SESSION['DebugMode']) && $_SESSION['DebugMode'] == 'TRUE') {
	include "debugging/request.php" ; 
	}
	?>

	<?php 
	if (isset($_SESSION['DebugMode']) && $_SESSION['DebugMode'] == 'TRUE') {
	include "debugging/session.php" ; 
	}
	?>   
	
	<!-- <?php print_r($_SESSION); ?></pre> -->



    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-1.10.2.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
  </body>
</html>
