<?php

session_start();


// Include the error handling file
require_once 'inc/errorHandling.php';

// set the active page 
$navsection = 'contacts';


// check for any connection errors
$username = $_SESSION['username']; 
$password = $_SESSION['password'];

require_once 'connections/contacts.php';


$fm = new FileMaker($database, $hostname, $username, $password); 

$layouts = $fm->listLayouts();
	if(FileMaker::isError($layouts))
	{
	// Login Failed -- Alert User
	$loginError = 'Login Error: '. $layouts->getMessage(). ' (' . $layouts->code . ')';
	
	
	} else {
	// Login Success	
	$loginError = '';
	
		if (isset($_REQUEST['action']) and $_REQUEST['action'] == "viewContact") {     
		   
		
			if (isset($_REQUEST['recid']) && $_REQUEST['recid'] !== '') {
			
				// Get the Record ID that is passed as a parameter
				$recid = $_REQUEST['recid'];
			
				$record = $fm->getRecordById('WebContacts', $recid);
			
				if (FileMaker::isError($record)) {
				$actionError = 'Contact Find Error: '. $record->getMessage(). ' (' . $record->code . ')';
				} else {
				// Get the ContactID used for finding related records
				$contactID = $record->getField('ContactID') ;
				$uuid = $record->getField('UUID') ;	
				$actionError = '';
				}
			
			} elseif (isset($_REQUEST['uuid']) and $_REQUEST['uuid'] !== '') {
			
				// Get the Record ID that is passed as a parameter
				$uuid = $_REQUEST['uuid'];
				
				// Custom User Generated Find
				$request = $fm->newFindCommand('WebContacts');
		
				$request->addFindCriterion('UUID', $uuid); 
				
				// Perform the Find
				$result = $request->execute(); 
	
	
					if (FileMaker::isError($result)) {
						if ($result->code = 401) {
						$actionError = '<p class="text-error">Contacts Find Error - No UUID Found: '. ' (' . $result->code . ')</p>';
						} else {
						$actionError = '<p class="text-error">Contacts Find Error: '. $result->getMessage(). ' (' . $result->code . ')</p>';
						}
					} else { 
					// Retrieve the first found record (should only find 1)
					$record = $result->getFirstRecord();
					$recid = $record->getRecordId();
					$actionError = '';

					}	
		
			} else { 
			$actionError = 'Unknown View Contact Action - please contact the Developer';	
			}
			
		} elseif (isset($_REQUEST['action']) and $_REQUEST['action'] == "newContact") { 
		// create new Contact record
		
		
				
				$request = $fm->newAddCommand('WebContacts');
		
				$request->setField('First', $_POST['firstName']);
				$request->setField('Last', $_POST['lastName']);
				$request->setField('Company', $_POST['companyName']);
				$request->setField('Office Phone', $_POST['phoneMobile']);
				$request->setField('Fax', $_POST['fax']);
				$request->setField('Email', $_POST['email']);
				$request->setField('Work Address 1', $_POST['addressPostal']);
				$request->setField('Work City', $_POST['suburbPostal']);
				$request->setField('Work State', $_POST['statePostal']);
				$request->setField('Work Postal Code', $_POST['postcodePostal']);
				$request->setField('Website', $_POST['website']);		
		
				$result = $request->execute();
		
					if (FileMaker::isError($result)) {
					$actionError = 'Create New Contact Error: '. $result->getMessage(). ' (' . $result->code . ')';
					} else {
					// Pull the record from the database
					$record = $result->getFirstRecord();
					// Get the record ID
					$recid = $record->getRecordId();
					// Get the ContactID
					$contactID = $record->getField('ContactID') ;
					$uuid = $record->getField('UUID') ;		
					$actionError = '';
					}

					
					
			
		} elseif (isset($_REQUEST['action']) and $_REQUEST['action'] == "editContact") { 
		// edit selected Contact
		
			// check for recid
			if (isset($_POST['recid']) and $_POST['recid'] !=='') {
				$recid = $_POST['recid'];
			  	$request = $fm->newEditCommand('WebContacts', $_POST['recid']);
			  			
				$request->setField('First', $_POST['firstName']);
				$request->setField('Last', $_POST['lastName']);
				$request->setField('Company', $_POST['companyName']);
				$request->setField('Office Phone', $_POST['phoneMobile']);
				$request->setField('Fax', $_POST['fax']);
				$request->setField('Email', $_POST['email']);
				$request->setField('Work Address 1', $_POST['addressPostal']);
				$request->setField('Work City', $_POST['suburbPostal']);
				$request->setField('Work State', $_POST['statePostal']);
				$request->setField('Work Postal Code', $_POST['postcodePostal']);
				$request->setField('Website', $_POST['website']);
		
		
				$result = $request->execute();
				
					if (FileMaker::isError($result)) {
					$actionError = 'Edit Contact Error: '. $result->getMessage(). ' (' . $result->code . ')';
					} else {
					$actionError = '';
					// Pull the record from the db again
					$record = $fm->getRecordById('WebContacts', $recid);
					// Get the ContactID
					$contactID = $record->getField('ContactID') ;
					$uuid = $record->getField('UUID') ;	
					}
		
			} else {
			$actionError = 'Edit Contact Error - No Contact ID';		
			} 

		

		
		} else {
		$actionError = 'Unknown Action - please contact the Developer';		
		}	

	
	
	
}





?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="ico/favicon.ico">

    <title>CWP DevCon 2014 Security Demo</title>

    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="jumbotron.css" rel="stylesheet">

    <!-- Just for debugging purposes. Don't actually copy this line! -->
    <!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
	
      <?php include_once 'inc/nav.php' ?>
	
        
    <?php
    // echo any login errors 
	if (isset($loginError) && $loginError !== '') {
	$loginAlert = '<div class="alert alert-danger"><p class="text-center">'.$loginError.'</p></div>';
	echo $loginAlert;
	}
	
    // echo any action errors 
	if (isset($actionError) && $actionError !== '') {
	$actionAlert = '<div class="alert alert-danger"><p class="text-center">'.$actionError.'</p></div>';
	echo $actionAlert;
	}
		
	?>


    <div class="container">
      <!-- Example row of columns -->
    
    <?php
    // show the required file if there were no login or action errors
    if (isset($loginError) && $loginError == '' && isset($actionError) && $actionError == '')  {
    require 'contactInc.php'; 
    }    			
	?>
	
	
      <hr>

      <footer>
        <p>&copy; Databuzz <?php echo date('Y');?></p>
      </footer>
    </div> <!-- /container -->
    
    <?php 
	if (isset($_SESSION['DebugMode']) && $_SESSION['DebugMode'] == 'TRUE') {
	include "debugging/request.php" ; 
	}
	?>

	<?php 
	if (isset($_SESSION['DebugMode']) && $_SESSION['DebugMode'] == 'TRUE') {
	include "debugging/session.php" ; 
	}
	?>   


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-1.10.2.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
  </body>
</html>