<?php

session_start();

// Include the error handling file
require_once 'inc/errorHandling.php';

// set the active page 
$navsection = 'contacts';

// check if user is logged in, otherwise redirect back to home page
if (!isset($_SESSION['databuzzCWPSecurityAuthenticated']) and $_SESSION['databuzzCWPSecurityAuthenticated'] !== TRUE) {
header('Location: index.php');
die;
}

// check for any connection errors
$username = $_SESSION['username']; 
$password = $_SESSION['password'];


//Include the CSRF file
include('inc/nocsrf.php');

// Generate CSRF token to use in form hidden field
$token = NoCSRF::generate( 'token' );

require_once 'connections/contacts.php';

$fm = new FileMaker($database, $hostname, $username, $password); 

$layouts = $fm->listLayouts();
	if(FileMaker::isError($layouts))
	{
	// Login Failed -- Alert User
	$loginError = 'Login Error: '. $layouts->getMessage(). ' (' . $layouts->code . ')';
	
	
	} else {
	// Login Success	
	$loginError = '';
	
	
	// get the valuelists for the input fields
		
	$layoutName = 'WebContacts';
	$layout = $fm->getLayout('WebContacts');
	
	$states = $layout->getValueListTwoFields('States');
	
		
}
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="shortcut icon" href="ico/favicon.ico">

    <title>CWP DevCon 2014 Security Demo</title>

    <!-- Bootstrap core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="jumbotron.css" rel="stylesheet">

    <!-- Just for debugging purposes. Don't actually copy this line! -->
    <!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
      <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>
	
      <?php include_once 'inc/nav.php' ?>
	
        
    <?php
    // echo any login errors 
	if (isset($loginError) && $loginError !== '') {
	$loginAlert = '<div class="alert alert-danger"><p class="text-center">'.$loginError.'</p></div>';
	echo $loginAlert;
	}
	
	
	?>


    <div class="container">
      <!-- Example row of columns -->
    
    <?php
    // show the required file if there were no login  errors
    if (isset($loginError) && $loginError == '')  {
    require 'newContactIncv2.php'; 
    }    			
	?>
	
	
      <hr>

      <footer>
        <p>&copy; Databuzz <?php echo date('Y');?></p>
      </footer>
    </div> <!-- /container -->
    
    <?php 
	if (isset($_SESSION['DebugMode']) && $_SESSION['DebugMode'] == 'TRUE') {
	include "debugging/request.php" ; 
	}
	?>

	<?php 
	if (isset($_SESSION['DebugMode']) && $_SESSION['DebugMode'] == 'TRUE') {
	include "debugging/session.php" ; 
	}
	?>   


    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-1.10.2.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
  </body>
</html>